> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aigenda.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Пространство

> Одно пространство со свежим остатком минут. Запрашивайте перед каждой загрузкой.

## Параметры пути

<ParamField path="space_id" type="integer" required>
  Идентификатор пространства.
</ParamField>

## Ответ

<ResponseField name="id" type="integer">
  Идентификатор пространства.
</ResponseField>

<ResponseField name="name" type="string">
  Название.
</ResponseField>

<ResponseField name="subscribe.offer.name" type="string">
  Тариф.
</ResponseField>

<ResponseField name="subscribe.offer.audio_limit" type="integer">
  Секунд на тарифе за период.
</ResponseField>

<ResponseField name="subscribe.usage_count" type="integer">
  Потрачено секунд.
</ResponseField>

<ResponseField name="subscribe.available_usage_count" type="integer">
  Осталось секунд.
</ResponseField>

<ResponseField name="subscribe.is_active" type="boolean">
  Подписка активна.
</ResponseField>

<ResponseField name="subscribe.end_date" type="string">
  Конец периода, дата `YYYY-MM-DD`.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.aigenda.tech/api/spaces/1024/" \
    -H "Authorization: Bearer <access>"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.aigenda.tech/api/spaces/1024/",
      headers={"Authorization": "Bearer <access>"},
      timeout=30,
  )
  response.raise_for_status()
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.aigenda.tech/api/spaces/1024/", {
    method: "GET",
    headers: { Authorization: "Bearer <access>" },
  });
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": 1024,
    "name": "Личное пространство",
    "description": "Main space",
    "subscribe": {
      "offer": {
        "name": "PRO",
        "audio_limit": 72000
      },
      "usage_count": 5400,
      "available_usage_count": 66600,
      "is_active": true,
      "end_date": "2026-11-17"
    }
  }
  ```

  ```json 403 theme={null}
  {
    "detail": "You do not have permission to perform this action."
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.